Rounds a variant to the specified number of decimal places

- « variant_pow

- variant_set »

- PHP Manual
- COM Functions
- Rounds a variant to the specified number of decimal places

# variant_round

(PHP 5, PHP 7, PHP 8)

variant_round — Rounds a variant to the specified number of decimal places

### Description

variant_round(mixed `$value`, int `$decimals`): ?variant

Returns the value of `value` rounded to `decimals` decimal places.

### Parameters

`value`

  The variant.

`decimals`

  Number of decimal places.

> Note:

> As with all the variant arithmetic functions, the parameters for this function can be either a PHP native type (integer, string, floating point, boolean or `null`), or an instance of a COM, VARIANT or DOTNET class. PHP native types will be converted to variants using the same rules as found in the constructor for the variant class. COM and DOTNET objects will have the value of their default property taken and used as the variant value.

> The variant arithmetic functions are wrappers around the similarly named functions in the COM library; for more information on these functions, consult the MSDN library. The PHP functions are named slightly differently; for example variant_add() in PHP corresponds to `VarAdd()` in the MSDN documentation.

### Return Values

Returns the rounded value, or `null` on failure.

### See Also

- round() - Rounds a float